/**
 * Created by mar105 on 2019-03-05.
 */

import React from 'react';
import { connect } from 'umi';
import EleteamInfoComponent from '../../components/CommonElementEvent/EleteamInfo';


function EleteamInfoRouter({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const customerInfoProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <EleteamInfoComponent {...customerInfoProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(EleteamInfoRouter);

